## chromium-webfav 0.5.0-ubuntu3omsk3

=== plugin/Makefile ===

include config.mk

SRC = npunity.c
OBJ = ${SRC:.c=.o}

all: options npunity.so ${shell uname}

options:
	@echo npunity build options:
	@echo "CFLAGS   = ${CFLAGS}"
	@echo "LDFLAGS  = ${LDFLAGS}"
	@echo "CC       = ${CC}"

.c.o:
	@echo CC $<
	@${CC} -c ${CFLAGS} $<

${OBJ}: config.mk

npunity.so: ${OBJ}
	@echo LD $@
	@${CC} -v -shared -o $@ ${OBJ} ${LDFLAGS}

clean:
	@echo cleaning
	@rm -f npunity.so ${OBJ} Localized.rsrc
	@rm -rf npunity.plugin

Linux:
	@chmod 755 npunity.so
	@echo Setup: sudo ln -s ${shell pwd}/npunity.so /usr/lib/mozilla/plugins/npunity.so
	@echo Test: /usr/lib/webkit-1.0/libexec/GtkLauncher file://`pwd`/${TEST} # apt-get install libwebkit-1.0-1

.PHONY: all options clean Darwin Linux

=== debian/changelog ===
chromium-webfav (0.5.0-ubuntu3omsk3) lucid; urgency=low

  * complete i18n and add l10ns for de en es fr it nl zh_CN zh_TW

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Tue, 31 Aug 2010 20:44:04 -0400

chromium-webfav (0.5.0-ubuntu3omsk2) lucid; urgency=low

  * add missing Spanish tooltip translation

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Tue, 22 Jun 2010 15:31:23 -0400

chromium-webfav (0.5.0-ubuntu3omsk1) lucid; urgency=low

  * add translations for core target langs (tooltip text)

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Mon, 14 Jun 2010 13:58:33 -0400

chromium-webfav (0.5.0-ubuntu3) lucid; urgency=low

  * debian/rules: fix FTBFS by calling make in plugins dir

 -- Michael Terry <michael.terry@canonical.com>  Tue, 25 May 2010 15:48:39 -0400

chromium-webfav (0.5.0-ubuntu2) lucid; urgency=low

  * Change a couple strings from WebNow to Ubuntu Light

 -- Michael Terry <michael.terry@canonical.com>  Tue, 25 May 2010 14:45:07 -0400

chromium-webfav (0.5.0-ubuntu1) lucid; urgency=low

  * Send the right strings to Unity

 -- Neil J. Patel <neil.patel@canonical.com>  Tue, 30 Mar 2010 11:24:20 +0100

chromium-webfav (0.4.0-ubuntu1) lucid; urgency=low

  * Add the locales

 -- Neil J. Patel <neil.patel@canonical.com>  Thu, 25 Mar 2010 17:41:41 +0000

chromium-webfav (0.3.0-ubuntu1) lucid; urgency=low

  * New release with translations

 -- Neil J. Patel <neil.patel@canonical.com>  Thu, 18 Mar 2010 16:55:33 +0000

chromium-webfav (0.2.0ubuntu1) lucid; urgency=low

  * New release

 -- Neil J. Patel <neil.patel@canonical.com>  Thu, 25 Feb 2010 17:11:34 +0000

chromium-webfav (0.1.0) lucid; urgency=low

  * Initial release.

 -- Neil J. Patel <neil.patel@canonical.com>  Thu, 25 Feb 2010 16:50:15 +0000

=== debian/control ===
Source: chromium-webfav
Section: gnome
Priority: optional
Maintainer: Neil Jagdish Patel <neil.patel@canonical.com>
Build-Depends: debhelper (>= 7),
	debhelper (>= 5),
	pkg-config,
	lsb-release,
	lzma,
	quilt,
	patchutils (>= 0.2.25),
	libc6-dev-i386 [amd64],
	python,
	bison,
	flex,
	gperf,
	gdb,
	wdiff,
	xvfb,
	xbase-clients,
	xfonts-base,
	libjpeg62-dev,
	libpng12-dev,
	libbz2-dev,
	zlib1g-dev,
	libxml2-dev,
	libxslt1-dev,
	lzma-dev,
	libhunspell-dev,
	libsqlite3-dev,
	libasound2-dev,
	libnss3-dev (>= 3.12.3),
	libnspr4-dev,
	libgl1-mesa-dri,
	mesa-common-dev,
	libgl1-mesa-dev,
	libglu1-mesa-dev,
	libxss-dev,
	libpango1.0-dev,
	libglib2.0-dev,
	libgtk2.0-dev,
	libgconf2-dev,
  xulrunner-1.9.1-dev
Standards-Version: 3.8.3
Vcs-Bzr: http://code.launchpad.net/~anjali-team/anjali/chromium-webfav-extension

Package: chromium-webfav
Architecture: all
Depends: ${misc:Depends},
         chromium-browser
Description: Chromium Webfav Extension
 Add favorites easily

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	dh build
	make -C plugin all
	touch $@

install: install-stamp
install-stamp: build

binary: binary-arch binary-indep
binary-arch: install
	dh $@

binary-indep: install
	dh $@

clean:
	make -C plugin $@
	dh $@

PHONY: binary-arch binary-indep clean binary build install
